[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDateTimeRec

Date/Time record

## Declaration

Source position: db.pas line 122

`type TDateTimeRec = record`
`case TFieldType of`
`ftDate: (`
`Date: LongInt;` |  | Date value
`);`
`ftTime: (`
`Time: LongInt;` |  | Time value
`);`
`ftDateTime: (`
`DateTime: TDateTimeAlias;` |  | Date/time value
`);`
`end;`

## Description

TDateTimeRec was used by older TDataset implementations to store date/time values. Newer implementations use the TDateTime. This type should no longer be used.